## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/snapshots/{snapshotId}/resources

### Try it

Get Resources in a Snapshot

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/resources \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/resources"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/resources', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/resources",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/resources"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response

#### Status Codes

- **200**  
- **400**  
- **401**  
- **402**  
- **403**  
- **404**  
- **405**  
- **409**  
- **413**  
- **500**  
- **501**  
- **502**  
- **503**  
- **504**

#### Example Response Body

```json
{
  "items": [
    {
      "_id": "<string>",
      "name": "New Resource",
      "referenceId": "<string>",
      "resourceType": "flow",
      "createdBy": "<string>",
      "createdAt": 1527621049
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Authorizations

#### APIKeyHeader

**X-API-Key**  
- Type: string  
- Location: header  
- Required: Yes

Supply the API Key in the HTTP-Header.

### Headers

| Name    | Type        | Description |
|---------|-------------|-------------|
| Accept  | enum<string>| The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.
